/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.dokumente.entity;

public interface DokumentVorlageBase extends 
de.ivu.elect.jee.entity.Entity<DokumentVorlagePK, DokumentVorlageUK>
{

  
  /**
   * getter for primary key wrapper DOKUMENT_VORLAGE.dokument_vorlage_id
   *
   * @return
   */
  @Override
  DokumentVorlagePK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for DOKUMENT_VORLAGE.ANLAGE_ART
   *
   */
  de.ivu.elect.business.dokumente.entity.DokumentVorlageAnlageArt getAnlageArt();

  /**
   * 
   *
   * setter for DOKUMENT_VORLAGE.ANLAGE_ART
   *
   * @param anlageArt
   */
  void setAnlageArt(de.ivu.elect.business.dokumente.entity.DokumentVorlageAnlageArt anlageArt);
      

  /**
   * 
   *
   * getter for DOKUMENT_VORLAGE.BESCHREIBUNG
   *
   */
  java.lang.String getBeschreibung();

  /**
   * 
   *
   * setter for DOKUMENT_VORLAGE.BESCHREIBUNG
   *
   * @param beschreibung
   */
  void setBeschreibung(java.lang.String beschreibung);
      

  /**
   * 
   *
   * getter for DOKUMENT_VORLAGE.DOKUMENT_VORLAGE_ART
   *
   */
  de.ivu.elect.business.dokumente.entity.DokumentVorlageArt getDokumentVorlageArt();

  /**
   * 
   *
   * setter for DOKUMENT_VORLAGE.DOKUMENT_VORLAGE_ART
   *
   * @param dokumentVorlageArt
   */
  void setDokumentVorlageArt(de.ivu.elect.business.dokumente.entity.DokumentVorlageArt dokumentVorlageArt);
      

  /**
   * 
   *
   * getter for DOKUMENT_VORLAGE.NAME
   *
   */
  java.lang.String getName();

  /**
   * 
   *
   * setter for DOKUMENT_VORLAGE.NAME
   *
   * @param name
   */
  void setName(java.lang.String name);
      

  /**
   * 
   *
   * getter for DOKUMENT_VORLAGE.VERSIONSNUMMER
   *
   */
  java.lang.String getVersionsnummer();

  /**
   * 
   *
   * setter for DOKUMENT_VORLAGE.VERSIONSNUMMER
   *
   * @param versionsnummer
   */
  void setVersionsnummer(java.lang.String versionsnummer);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setDateiImport(de.ivu.elect.business.datei.entity.DateiImport dateiImport);

  /**
   * 
   */
  de.ivu.elect.business.datei.entity.DateiImport getDateiImport();



  /**
   * 
   */
  void setWahltermin(de.ivu.elect.business.wahl.entity.Wahltermin wahltermin);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
